
/**
 *
 * Gimnazija Online :: main.js
 *
 * addHandler procedura i onDOMLoaded dogadjaj
 *
 */

var nullFunction = function(){return 0;};

var addHandler = function(object, event, handler)
{
	var prevHandler = nullFunction;

	if (typeof(object[event]) == 'function')
	{
		prevHandler = object[event];
	}

	object[event] = function()
	{
		prevHandler();

		try
		{
			handler(object);
		}
		catch (e){}
	};
};

var onDOMLoaded = function(eventHandler)
{
	addHandler(window, 'onload', eventHandler);
}